#  Licensed Materials - Property of IBM
#  5724-M24
#  (C) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
"""
Functions to manipulate Window path  .
  - win.removePathSpace: remove space and pack Windows recognized directory name
"""

# export variables
__all__ = []

########################################
#                                      #
# Remove space from path on Windows    #
#                                      #
########################################

def removePathSpace( inPath ):

  outPath = inPath.upper()
  items = outPath.split('\\')
  outPath = ""

  for item in items:
    if (item == ""):
      continue
    if (outPath != ""):
      outPath = outPath + "\\"
    if item.find(r' ') > 1:
      # To show dir in char-8 format: dir /x
      # "Program Files"  => "PROGRA~1"
      # "is has space"   => "ISHASS~1"
      # "12 34"          => "1234~1"
      # "12 34 56"       => "1234~1"
      item = item.replace(' ', '')
      if len(item) > 6:
        item = item[0:6]
      item = item + "~1"

    outPath = outPath + item

  return outPath
