@echo off
@REM **************************************************************************
@REM Licensed Material - Property of IBM
@REM 5724-M24
@REM Copyright IBM Corporation 2011. All Rights Reserved.
@REM US Government Users Restricted Rights- Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@REM **************************************************************************
@REM Data migration from V6.1/6.2/7.0 to V7.5
@REM **************************************************************************
setlocal

@REM ##################################################################################################################################
@REM #                                                                                                                                #                    #
@REM # Read command line options                                                                                                      #                             #
@REM #Usage:                                                                                                                          #                                #
@REM #DataMigration -dbType <database type> -dbName <database name> -dbSchema <schema name> -host  <hostname of database>             #                              #
@REM #-port <database port> -dbUser <user name of database> -dbPassword <password of database> -dbDriverType <JDBC Driver Type>       #                           #
@REM #where:                                                                                                                          #
@REM #-dbType:                                                                                                                        #
@REM #     Database type of monitor db, the value may be: DB2/Oracle/SQLServer/DB2ZOS, this parameter is necessary                    #
@REM #-dbName:                                                                                                                        #
@REM #     Name of monitor db,this parameter is necessary                                                                             #
@REM #-dbSchema:                                                                                                                      #
@REM #      Schema name of monitor db,this parameter is necessary                                                                     #
@REM #-host:                                                                                                                          #
@REM #     Host name of the node where monitor db is running,this parameter is necessary                                              #
@REM #-port:                                                                                                                          #
@REM #     Port of the node where monitor db is running,this parameter is necessary                                                   #
@REM #-dbUser:                                                                                                                        #
@REM #     User name that is authorized to access monitor db,this parameter is necessary.                                             #
@REM #-dbPassword:                                                                                                                    #
@REM #     Password that is authorized to access monitor db,this parameter is necessary.                                              #
@REM #-dbDriverType(optional):                                                                                                                  #
@REM #     JDBC driver type that is used to connect to database, this parameter is necessary only when database type is DB2ZOS.       #
@REM #     The value should be 2 when it's local database, otherwise the value should be 4.                                           #                                                                                                                                        #
@REM # Usage Example:                                                                                                                 #
@REM # DataMigration.bat -dbType DB2 -dbName MONITOR -dbSchema MONITOR -host localhost -port 50000                                    #
@REM # -dbUser db2admin -dbPassword db2admin -dbDriverType 4                                                                          #
@REM ##################################################################################################################################

:Loop
IF "%1" == "" GOTO ahead
IF "%1" == "-dbType" (
  set dbType=%2
  GOTO Forward
)
IF "%1" == "-dbName" (
  set dbName=%2
  GOTO Forward
)
IF "%1" == "-dbSchema" (
  set dbSchema=%2
  GOTO Forward
)
IF "%1" == "-host" (
  set hostname=%2
  GOTO Forward
)
IF "%1" == "-port" (
  set port=%2
  GOTO Forward
)
IF "%1" == "-dbUser" (
  set dbUser=%2
  GOTO Forward
)
IF "%1" == "-dbPassword" (
  set dbPassword=%2
  GOTO Forward
)
IF "%1" == "-dbDriverType" (
  set dbDriverType=%2
  GOTO Forward
)
:Forward
shift /1
shift /1
GOTO Loop
:ahead

@rem call "%~dp0\..\..\..\bin\setupCmdLine.bat" %*
set CUR_DIR=%cd%
cd /d "%~dp0\..\..\.."
set WAS_HOME=%cd%
cd /d "%CUR_DIR%"

set SYS_PROPS=-Djava.util.logging.config.file=logging.properties
set CLASS_HOME=.
set MY_CLASSPATH=%CLASS_HOME%;%CLASS_HOME%\com.ibm.wbimonitor.datamigration.jar;%WAS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar;%WAS_HOME%\plugins\com.ibm.wbimonitor.persistence.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc_license_cisuz.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc_license_cu.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc4.jar;%WAS_HOME%\jdbcdrivers\Oracle\ojdbc6.jar;%WAS_HOME%\jdbcdrivers\SQLServer\sqljdbc4.jar

"%WAS_HOME%"\java\jre\bin\java -classpath "%MY_CLASSPATH%" "%SYS_PROPS%" com.ibm.wbimonitor.datamigration.DataMigration %dbType% %dbName% %dbSchema% %hostname% %port% %dbUser% %dbPassword% %dbDriverType%
if  "%ERRORLEVEL%" NEQ "0" goto fail

:success
	cd /d "%CUR_DIR%"
	endlocal
	exit /B 0
:fail
	@echo data migration is failed.
	cd /d "%CUR_DIR%"
	endlocal
	exit /B 1
