#!/bin/sh
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2011. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#
#  Data migration from V6.1/6.2/7.0 to V7.5
#

USER_PROPS=$*
cd ./../../../bin
. ./setupCmdLine.sh
SYS_PROPS=-Djava.util.logging.config.file=logging.properties
MY_CLASSPATH=.:./com.ibm.wbimonitor.datamigration.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.lifecycle.spi.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.persistence.jar:$WAS_HOME/jdbcdrivers/DB2/db2jcc_license_cisuz.jar:$WAS_HOME/jdbcdrivers/DB2/db2jcc_license_cu.jar:$WAS_HOME/jdbcdrivers/DB2/db2jcc4.jar:$WAS_HOME/jdbcdrivers/Oracle/ojdbc6.jar:$WAS_HOME/jdbcdrivers/SQLServer/sqljdbc4.jar

cd ../scripts.wbm/migration/DataMigration

#######################################################
#                                                     #
# Usage                                               #
#                                                     #
#######################################################
usage () {
  echo  "Usage:"
  echo  "DataMigration -dbType <database type> -dbName <database name> -dbSchema <schema name> -host  <hostname of database> "
  echo  "-port <database port> -dbUser <user name of database> -dbPassword <password of database> -dbDriverType <JDBC Driver Type>"  
  echo  ""
  echo  "where:"
  echo  ""
  echo  "-dbType:"
  echo  "     Database type of monitor db, the value may be: DB2/Oracle/SQLServer/DB2ZOS, this parameter is necessary"
  echo  ""
  echo  "-dbName:"
  echo  "     Name of monitor db,this parameter is necessary"
  echo  ""
  echo  "-dbSchema:"
  echo  "      Schema name of monitor db,this parameter is necessary"
  echo  "-host:"
  echo  "     Host name of the node where monitor db is running,this parameter is necessary"  
  echo  "" 
  echo  "-port:"
  echo  "     Port of the node where monitor db is running,this parameter is necessary"  
  echo  ""
  echo  "-dbUser:"
  echo  "     User name that is authorized to access monitor db,this parameter is necessary."  
  echo  ""
  echo  "-dbPassword:"
  echo  "     Password that is authorized to access monitor db,this parameter is necessary."  
  echo  ""
  echo  "-dbDriverType:(optional)"
  echo  "     JDBC driver type that is used to connect to database, this parameter is necessary only when database type is DB2ZOS. "
  echo  "     The value should be 2 when it is local database, otherwise the value should be 4."  
  echo  ""
  echo  ""    
  exit 1
 }   
 
if [ $# -gt 16 ]; then
  usage
fi
  
while [ $# -gt 0 ]; do
  case $1 in
    -dbType) dbType=$2; shift; shift;;
    -dbName) dbName=$2; shift; shift;;
    -dbSchema) dbSchema=$2; shift; shift;;
    -host) hostName=$2; shift; shift;;
    -port) port=$2; shift; shift;;
    -dbUser) dbUser=$2; shift; shift;;
    -dbPassword) dbPassword=$2; shift; shift;;
    -dbDriverType) dbDriverType=$2; shift; shift;;
    -h) usage;;
    *) usage;;
  esac;
done

"$JAVA_HOME"/bin/java -classpath "$MY_CLASSPATH" $SYS_PROPS  com.ibm.wbimonitor.datamigration.DataMigration $dbType $dbName $dbSchema $hostName $port $dbUser $dbPassword $dbDriverType
if [ $? -gt 0 ]; 
  then    
    exit 1
  else  	
	exit 0
fi




